Name:           maui-mauikit
Version:        1.2.2
Release:        1%{?dist}
License:        LGPLv3
Summary:        Kit for developing Maui Apps
Url:            https://invent.kde.org/maui/mauikit
Source0:        https://download.kde.org/stable/maui/mauikit/%{version}/mauikit-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-plasma-devel

BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5SyntaxHighlighting)


Requires: kf5-kirigami
Requires: applet-window-buttons

%description
Kit for developing MAUI Apps. MauiKit is a set of utilities 
and "templated" controls based on Kirigami and QCC2 that 
follow the ongoing work on the Maui HIG. It let you quickly 
create a Maui application and access utilities and widgets
shared amoing the other Maui apps.

%package devel
Summary:        MauiKit development headers
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Required headers to build components based
on the MauKit framework.

%prep
%autosetup -n mauikit-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install


%files
%license LICENSE
%{_kf5_qmldir}/QtQuick/Controls.2/maui-style/
%{_kf5_qmldir}/org/mauikit/


%files devel
%doc README.md
%{_kf5_libdir}/libMauiKit.so
%{_includedir}/MauiKit/Core/abstractplatform.h
%{_includedir}/MauiKit/Core/accountsdb.h
%{_includedir}/MauiKit/Core/appsettings.h
%{_includedir}/MauiKit/Core/appview.h
%{_includedir}/MauiKit/Core/fmh.h
%{_includedir}/MauiKit/Core/handy.h
%{_includedir}/MauiKit/Core/mauiaccounts.h
%{_includedir}/MauiKit/Core/mauiapp.h
%{_includedir}/MauiKit/Core/mauikit.h
%{_includedir}/MauiKit/Core/mauikit_export.h
%{_includedir}/MauiKit/Core/mauilinux.h
%{_includedir}/MauiKit/Core/mauilist.h
%{_includedir}/MauiKit/Core/mauimodel.h
%{_includedir}/MauiKit/Core/pathlist.h
%{_includedir}/MauiKit/Core/platform.h
%{_includedir}/MauiKit/Core/tabview.h
%{_includedir}/MauiKit/Core/utils.h
%{_libdir}/cmake/MauiKit/MauiKitConfig.cmake
%{_libdir}/cmake/MauiKit/MauiKitConfigVersion.cmake
%{_libdir}/cmake/MauiKit/MauiKitTargets-noconfig.cmake
%{_libdir}/cmake/MauiKit/MauiKitTargets.cmake
%{_kf5_qmldir}/org/mauikit/controls/csd/libappletdecoration/config-decoration.h
%{_kf5_qmldir}/org/mauikit/controls/libs/appview.h

%changelog
* Sun May 09 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 1.2.2-1
- initial package
